# Maintainer: Raffaele Tranquillini (cunidev) <raffaele.tranquillini@gmail.com>
# Reference: <https://postmarketos.org/devicepkg>

pkgname=device-xiaomi-gemini
pkgdesc="Xiaomi Mi 5"
pkgver=1
pkgrel=2
url="https://postmarketos.org"
license="MIT"
arch="aarch64"
options="!check !archcheck"
depends="
	linux-postmarketos-qcom-msm8996
	mkbootimg
	postmarketos-base
	soc-qcom-msm8996
	soc-qcom-msm8996-ucm
	"
makedepends="devicepkg-dev"
subpackages="$pkgname-nonfree-firmware:nonfree_firmware $pkgname-phosh"

source="
	deviceinfo
	pointercal
	rootston.ini
	"

build() {
	devicepkg_build $startdir $pkgname
}

package() {
	devicepkg_package $startdir $pkgname

	install -D -m644 "$srcdir"/pointercal \
		"$pkgdir"/etc/pointercal
}

nonfree_firmware() {
	pkgdesc="GPU/Modem/Venus/ADSP/SLPI/WiFi/Bluetooth Firmware"
	depends="
		firmware-xiaomi-gemini
		linux-firmware-ath10k
		linux-firmware-qca
		soc-qcom-msm8996-nonfree-firmware
		"
	mkdir "$subpkgdir"
}

phosh() {
	install_if="$pkgname=$pkgver-r$pkgrel phosh"
	install -Dm644 "$srcdir"/rootston.ini \
		"$subpkgdir"/etc/phosh/rootston.ini
}


sha512sums="
ad299d1e1fbdc638347f9acb74a5cbddd87158d7468df093790f02600d65f5d053fec62524a685a37ad69cbf075ecefc3e926a027bd7708b374354163386faa8  deviceinfo
e9ee9c1404b41ba15eafff3f728ff6e0e78dc17e9a88483fca92db1aa3efe0e4d5bf26142e533c4ff12b1bf8ce04ccabb7ca0f93aaea586d5b30910282aad237  pointercal
035f97e328ff9f976b082e66b97f76036cdee9825f3022471c7c5d371291cc4b5bd5c18196cd49f4cd9ad6390abe691b506de3b221e3c122433d5620e3b3c4c9  rootston.ini
"
